Package ghidra.framework.options

# Class EnumEditor

java.lang.Object
java.beans.PropertyEditorSupport
ghidra.framework.options.EnumEditor

All Implemented Interfaces:
  `PropertyEditor`

public class EnumEditor extends PropertyEditorSupport

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EnumEditor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAsText()`
  `Enum<?>[]`
  `getEnums()`
  `String[]`
  `getTags()`
  `Object`
  `getValue()`
  `void`
  `setAsText(String s)`
  `void`
  `setValue(Object o)`

  ### Methods inherited from class java.beans.PropertyEditorSupport

  `addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, isPaintable, paintValue, removePropertyChangeListener, setSource, supportsCustomEditor`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EnumEditor

    public EnumEditor()

- ## Method Details

  - ### setValue

    public void setValue(Object o)
    Specified by:
      `setValue` in interface `PropertyEditor`
    Overrides:
      `setValue` in class `PropertyEditorSupport`

  - ### getValue

    public Object getValue()
    Specified by:
      `getValue` in interface `PropertyEditor`
    Overrides:
      `getValue` in class `PropertyEditorSupport`

  - ### getTags

    public String[] getTags()
    Specified by:
      `getTags` in interface `PropertyEditor`
    Overrides:
      `getTags` in class `PropertyEditorSupport`

  - ### getEnums

    public Enum<?>[] getEnums()

  - ### getAsText

    public String getAsText()
    Specified by:
      `getAsText` in interface `PropertyEditor`
    Overrides:
      `getAsText` in class `PropertyEditorSupport`

  - ### setAsText

    public void setAsText(String s)
    Specified by:
      `setAsText` in interface `PropertyEditor`
    Overrides:
      `setAsText` in class `PropertyEditorSupport`